Lotus
Type to search documentation.
Orders

Retrieve an order

Retrieve a single order by its ID.

get/orders/{orderId}

Security

This operation accepts the following authorization requirements.

Required credentials

One credential is required.
OAuth2oauth2

OAuth2 authorization for API access.

orders:read

Request

Path parameters

orderIdstringrequired

ID of the order to retrieve.

Response

Successful operation.

idstring:ulid

Order ID. Unique identifier prefixed with ord_.

objectstring

Allowed values:"order"

Entity name.

customerNamestringrequired

Name of the customer who placed the order. Must start and end with a letter, and can contain letters, spaces, hyphens, and apostrophes (e.g., “John Doe”, “Mary-Jane”, “O’Brien”).

statusstring

Allowed values:"placed""preparing""completed""canceled"

totalPriceinteger

Total order price in cents.

createdAtstring:date-time

Created date.

updatedAtstring:date-time

Updated date.

orderItemsobject[]required

List of items to include in the order.

Item properties (4)
menuItemIdstring:ulidrequired

ID of the menu item to add to the order.

quantityintegerrequired

Quantity of the menu item.

discountinteger

Discount amount in cents (absolute value).

commentstring

Optional comment for the order item (e.g., “No sugar”).